## alevt 1.6.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
-VER=1.5.1
+VER=1.6.0
 OPT=-O2 -s
+#OPT=-O -g
 DEFS=-DWITH_PNG
+FONT=vtxt
+# a smaller and thinner font
+#FONT=neep9
 
 CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I/usr/X11R6/include -I/usr/local/include -W
 
@@ -29,11 +33,11 @@
 fontsize.h: font1.xbm font2.xbm
 	fgrep -h "#define" font1.xbm font2.xbm >fontsize.h
 
-font1.xbm: bdf2xbm vtxt-latin-1.bdf
-	./bdf2xbm font1 <vtxt-latin-1.bdf >font1.xbm
+font1.xbm: bdf2xbm $(FONT)-latin-1.bdf
+	./bdf2xbm font1 <$(FONT)-latin-1.bdf >font1.xbm
 
-font2.xbm: bdf2xbm vtxt-latin-2.bdf
-	./bdf2xbm font2 <vtxt-latin-2.bdf >font2.xbm
+font2.xbm: bdf2xbm $(FONT)-latin-2.bdf
+	./bdf2xbm font2 <$(FONT)-latin-2.bdf >font2.xbm
 
 bdf2xbm: bdf2xbm.c
 	$(CC) -O -s bdf2xbm.c -o bdf2xbm
@@ -102,15 +106,13 @@
 alevt-cap.o: vt.h misc.h fdset.h dllist.h vbi.h cache.h lang.h export.h
 alevt-date.o: os.h vt.h misc.h fdset.h dllist.h vbi.h cache.h lang.h
 cache.o: misc.h dllist.h cache.h vt.h help.h
-convert.o: vt.h misc.h cache.h dllist.h search.h
 edit.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h edit.h edline.h
 edline.o: vt.h misc.h xio.h dllist.h edline.h
-exp-gfx.o: lang.h misc.h vt.h export.h font.h fontsize.h
+exp-gfx.o: lang.h misc.h vt.h export.h font.h
 exp-html.o: lang.h misc.h vt.h export.h
 exp-txt.o: os.h export.h vt.h misc.h
 export.o: vt.h misc.h export.h
 fdset.o: dllist.h misc.h fdset.h
-font.o: font1.xbm font2.xbm
 hamm.o: vt.h misc.h hamm.h
 help.o: vt.h misc.h vt900.out vt901-02.out vt901-01.out vt902.out vt903.out
 help.o: vt910.out vt911-02.out vt911-01.out vt912-02.out vt912-01.out
@@ -123,4 +125,4 @@
 ui.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h fdset.h edit.h edline.h
 ui.o: search.h export.h ui.h
 vbi.o: os.h vt.h misc.h vbi.h dllist.h cache.h lang.h fdset.h hamm.h
-xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h fontsize.h
+xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h
