## alevt 1.6.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,17 @@
-VER=1.6.0
-OPT=-O2 -s
+VER=1.6.2
+OPT=-O2 -s -w
 #OPT=-O -g
 DEFS=-DWITH_PNG
 FONT=vtxt
+USR_X11R6=/usr/X11R6
+#USR_X11R6=/usr
+MAN_DIR=man
+#MAN_DIR=share/man
+HOSTCC=$(CC)
 # a smaller and thinner font
 #FONT=neep9
 
-CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I/usr/X11R6/include -I/usr/local/include -W
+CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I$(USR_X11R6)/include
 
 EXPOBJS=export.o exp-txt.o exp-html.o exp-gfx.o font.o
 OBJS=main.o ui.o xio.o fdset.o vbi.o cache.o help.o edline.o search.o edit.o misc.o hamm.o lang.o $(EXPOBJS)
@@ -14,14 +19,13 @@
 COBJS=alevt-cap.o vbi.o fdset.o misc.o hamm.o lang.o $(EXPOBJS)
 
 ifneq ($(findstring WITH_PNG,$(DEFS)),)
-EXPLIBS=-L/usr/local/lib -lpng -lz -lm
+EXPLIBS=-lpng -lz -lm
 endif
 
 all: alevt alevt-date alevt-cap alevt.1x alevt-date.1 alevt-cap.1
-	sync
 
 alevt: $(OBJS)
-	$(CC) $(OPT) $(OBJS) -o alevt -L/usr/X11R6/lib -lX11 $(EXPLIBS)
+	$(CC) $(OPT) $(OBJS) -o alevt -L$(USR_X11R6)/lib -L$(USR_X11R6)/lib64 -lX11 $(EXPLIBS)
 
 alevt-date: $(TOBJS)
 	$(CC) $(OPT) $(TOBJS) -o alevt-date
@@ -29,7 +33,7 @@
 alevt-cap: $(COBJS)
 	$(CC) $(OPT) $(COBJS) -o alevt-cap $(EXPLIBS)
 
-font.h: fontsize.h
+font.o: font1.xbm font2.xbm
 fontsize.h: font1.xbm font2.xbm
 	fgrep -h "#define" font1.xbm font2.xbm >fontsize.h
 
@@ -40,7 +44,7 @@
 	./bdf2xbm font2 <$(FONT)-latin-2.bdf >font2.xbm
 
 bdf2xbm: bdf2xbm.c
-	$(CC) -O -s bdf2xbm.c -o bdf2xbm
+	$(HOSTCC) bdf2xbm.c -o bdf2xbm
 
 alevt.1x: alevt.1x.in
 	sed s/VERSION/$(VER)/g <alevt.1x.in >alevt.1x
@@ -59,12 +63,14 @@
 	rm -f alevt.html
 
 rpm-install: all
-	install -m 0755 alevt		${RPM_BUILD_ROOT}/usr/X11R6/bin
-	install -m 0755 alevt-date	${RPM_BUILD_ROOT}/usr/X11R6/bin
-	install -m 0755 alevt-cap	${RPM_BUILD_ROOT}/usr/X11R6/bin
-	install -m 0644 alevt.1x	${RPM_BUILD_ROOT}/usr/X11R6/man/man1
-	install -m 0644 alevt-date.1	${RPM_BUILD_ROOT}/usr/X11R6/man/man1
-	install -m 0644 alevt-cap.1	${RPM_BUILD_ROOT}/usr/X11R6/man/man1
+	install -m 0755 alevt        ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
+	install -m 0755 alevt-date   ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
+	install -m 0755 alevt-cap    ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
+	install -m 0644 alevt.1x     ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
+	install -m 0644 alevt-date.1 ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
+	install -m 0644 alevt-cap.1  ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
+	install -d 0755 $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
+	install -m 0644 contrib/mini-alevt.xpm $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
 
 # anything below this line is just for me!
 
@@ -76,7 +82,6 @@
 	install -m 0644 alevt-date.1	/usr/local/man/man1
 	install -m 0644 alevt-cap.1	/usr/local/man/man1
 	install -m 0644 contrib/mini-alevt.xpm /usr/include/X11/pixmaps
-	sync
 
 depend:
 	makedepend -Y -- $(CFLAGS_none) -- *.c 2>/dev/null
@@ -108,11 +113,12 @@
 cache.o: misc.h dllist.h cache.h vt.h help.h
 edit.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h edit.h edline.h
 edline.o: vt.h misc.h xio.h dllist.h edline.h
-exp-gfx.o: lang.h misc.h vt.h export.h font.h
+exp-gfx.o: lang.h misc.h vt.h export.h font.h fontsize.h
 exp-html.o: lang.h misc.h vt.h export.h
 exp-txt.o: os.h export.h vt.h misc.h
 export.o: vt.h misc.h export.h
 fdset.o: dllist.h misc.h fdset.h
+font.o: font1.xbm font2.xbm
 hamm.o: vt.h misc.h hamm.h
 help.o: vt.h misc.h vt900.out vt901-02.out vt901-01.out vt902.out vt903.out
 help.o: vt910.out vt911-02.out vt911-01.out vt912-02.out vt912-01.out
@@ -125,4 +131,4 @@
 ui.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h fdset.h edit.h edline.h
 ui.o: search.h export.h ui.h
 vbi.o: os.h vt.h misc.h vbi.h dllist.h cache.h lang.h fdset.h hamm.h
-xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h
+xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h fontsize.h
