## alevt 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-VER=1.6.2
-OPT=-O2 -s -w
+VER=1.8.0
+OPT=-O2 -g -w
 #OPT=-O -g
 DEFS=-DWITH_PNG
+#DEFS+=-DUSE_LIBZVBI
 FONT=vtxt
 USR_X11R6=/usr/X11R6
 #USR_X11R6=/usr
@@ -10,6 +11,8 @@
 HOSTCC=$(CC)
 # a smaller and thinner font
 #FONT=neep9
+DESTDIR=
+PREFIX=/usr/local
 
 CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I$(USR_X11R6)/include
 
@@ -19,7 +22,11 @@
 COBJS=alevt-cap.o vbi.o fdset.o misc.o hamm.o lang.o $(EXPOBJS)
 
 ifneq ($(findstring WITH_PNG,$(DEFS)),)
-EXPLIBS=-lpng -lz -lm
+EXPLIBS=-lpng
+endif
+ifneq ($(findstring USE_LIBZVBI,$(DEFS)),)
+ZVBILIB=-lzvbi -lpthread
+EXPLIBS+=$(ZVBILIB)
 endif
 
 all: alevt alevt-date alevt-cap alevt.1x alevt-date.1 alevt-cap.1
@@ -28,20 +35,26 @@
 	$(CC) $(OPT) $(OBJS) -o alevt -L$(USR_X11R6)/lib -L$(USR_X11R6)/lib64 -lX11 $(EXPLIBS)
 
 alevt-date: $(TOBJS)
-	$(CC) $(OPT) $(TOBJS) -o alevt-date
+	$(CC) $(OPT) $(TOBJS) -o alevt-date $(ZVBILIB)
 
 alevt-cap: $(COBJS)
 	$(CC) $(OPT) $(COBJS) -o alevt-cap $(EXPLIBS)
 
-font.o: font1.xbm font2.xbm
-fontsize.h: font1.xbm font2.xbm
-	fgrep -h "#define" font1.xbm font2.xbm >fontsize.h
+font.o: font1.xbm font2.xbm font3.xbm font4.xbm
+fontsize.h: font1.xbm font2.xbm font3.xbm font4.xbm
+	fgrep -h "#define" font1.xbm font2.xbm font3.xbm font4.xbm >fontsize.h
 
 font1.xbm: bdf2xbm $(FONT)-latin-1.bdf
 	./bdf2xbm font1 <$(FONT)-latin-1.bdf >font1.xbm
 
 font2.xbm: bdf2xbm $(FONT)-latin-2.bdf
 	./bdf2xbm font2 <$(FONT)-latin-2.bdf >font2.xbm
+
+font3.xbm: bdf2xbm vtxt-koi8.bdf
+	./bdf2xbm font3 <vtxt-koi8.bdf >font3.xbm
+
+font4.xbm: bdf2xbm vtxt-iso8859-7.bdf
+	./bdf2xbm font4 <vtxt-iso8859-7.bdf >font4.xbm
 
 bdf2xbm: bdf2xbm.c
 	$(HOSTCC) bdf2xbm.c -o bdf2xbm
@@ -75,13 +88,16 @@
 # anything below this line is just for me!
 
 install: all
-	install -m 0755 alevt		/usr/local/bin
-	install -m 0755 alevt-date	/usr/local/bin
-	install -m 0755 alevt-cap	/usr/local/bin
-	install -m 0644 alevt.1x	/usr/local/man/man1
-	install -m 0644 alevt-date.1	/usr/local/man/man1
-	install -m 0644 alevt-cap.1	/usr/local/man/man1
-	install -m 0644 contrib/mini-alevt.xpm /usr/include/X11/pixmaps
+	install -m 0755 -d		$(DESTDIR)$(PREFIX)/bin
+	install -m 0755 alevt		$(DESTDIR)$(PREFIX)/bin
+	install -m 0755 alevt-date	$(DESTDIR)$(PREFIX)/bin
+	install -m 0755 alevt-cap	$(DESTDIR)$(PREFIX)/bin
+	install -m 0755 -d		$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0644 alevt.1x	$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0644 alevt-date.1	$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0644 alevt-cap.1	$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0755 -d		$(DESTDIR)$(PREFIX)/share/pixmaps
+	install -m 0644 contrib/mini-alevt.xpm $(DESTDIR)$(PREFIX)/share/pixmaps
 
 depend:
 	makedepend -Y -- $(CFLAGS_none) -- *.c 2>/dev/null
@@ -120,7 +136,8 @@
 fdset.o: dllist.h misc.h fdset.h
 font.o: font1.xbm font2.xbm
 hamm.o: vt.h misc.h hamm.h
-help.o: vt.h misc.h vt900.out vt901-02.out vt901-01.out vt902.out vt903.out
+help.o: vt.h misc.h vt900.out vt902.out vt903.out
+help.o: vt901-04.out vt901-03.out vt901-02.out vt901-01.out
 help.o: vt910.out vt911-02.out vt911-01.out vt912-02.out vt912-01.out
 help.o: vt913.out vt914-02.out vt914-01.out vt915.out vt999.out
 lang.o: misc.h vt.h lang.h
