=== debian/changelog ===
alevt (1:1.8.0-2) unstable; urgency=low

  * debian/control: Update to Standards-Version 4.5.0 (no changes).

 -- Göran Weinholt <weinholt@debian.org>  Tue, 21 Jan 2020 20:38:34 +0100

alevt (1:1.8.0-1) experimental; urgency=low

  * New upstream release (closes: #569196, #898515, #898517).
  * debian/control: New maintainer (closes: #532093).
  * debian/control: New homepage.
  * debian/patches: All patches are integrated upstream.
  * debian/README.source: Remove note about quilt.
  * debian/source/format: Set to 3.0 (quilt).
  * debian/alevt.docs: Add README.md and README.old, remove README.source.
  * debian/alevt.postinst: Remove obsolete /dev/MAKEDEV call and purging
    of the debconf database no longer used since 2002.
  * debian/compat: Update to 12.
  * debian/rules: Switch from cdbs to debhelper.
  * debian/control: Remove cdbs dependency and update debhelper version.
  * debian/control: Remove quilt dependency.
  * debian/control: Mention support for DVB receivers.
  * debian/control: Switch to priority optional.
  * debian/control: Update to Standards-Version 4.3.0 (no changes).
  * debian/control: Remove unnecessary udev | makedev dependency.
  * debian/watch: Adapt to new upstream.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 21 Apr 2019 14:21:43 +0200

alevt (1:1.6.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpn16 (Closes: #650483)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Jan 2016 21:45:34 +0100

alevt (1:1.6.2-5) unstable; urgency=low

  * Make udev|makedev dependency Linux-only (closes: #666508). Thanks to
    Robert Millan for the patch.
  * Bump Standards-Version to 3.9.3 (no changes).
  * debian/rules: Don't set DEB_DH_INSTALLCHANGELOGS_ARGS, "CHANGELOG" is
    now detected by cdbs; cdbs build-dependency version tightened
    accordingly.
  * debian/rules: Pass $(CPPFLAGS) and $(LDFLAGS) to upstream Makefile
    (fixes lintian warnings wrt. hardending).

 -- Andreas Rottmann <rotty@debian.org>  Tue, 29 May 2012 14:36:11 +0200

alevt (1:1.6.2-4) unstable; urgency=low

  * Changed menu section to "Applications/TV and Radio" (closes: #564223).

 -- Andreas Rottmann <rotty@debian.org>  Sun, 10 Jan 2010 21:26:43 +0100

alevt (1:1.6.2-3) unstable; urgency=low

  * Upload to unstable.
  * Package now uses guilt instead of topgit.
  
  Dirk Schuster:
  
  * New patch features/x11-errormessage: Display a "device-not-found"
    error messages also in X11 window, not only only stderr (closes:
    #299346).
  * New patch features/help-additions: Several improvements to the
    built-in help (both X11 and command-line --help).
  * features/dvb-demux: Tweaks to the manpages.
  * features/cosmetics: Show correct window size in help pages.

 -- Andreas Rottmann <rotty@debian.org>  Mon, 30 Nov 2009 18:00:19 +0100

alevt (1:1.6.2-2) experimental; urgency=low

  Dirk Schuster:
  
  * features/dvb-demux: Added manpage description of the new options:
    -progname and -pid (closes: #546891).
  * features/vbi-name: Include DVB device name in search list (closes: #548441).
  
  Andreas Rottmann:
  
  * features/vbi-name: Show list of tried devices in error message when no
    device is found.
  * Standards-Version 3.8.3 (for real, this time -- no further changes).
  * Added README.source pointing to tg2quilt HOWTO and alioth repository.
  * Install ReadmeGR (Greek README) in /usr/share/doc/alevt.

 -- Andreas Rottmann <rotty@debian.org>  Sat, 26 Sep 2009 19:50:28 +0200

alevt (1:1.6.2-1) experimental; urgency=low

  * New upstream version (closes: #527299):
    - Contains v4l2 support (closes: #345229)
    - Obsoletes the following patches: 
      + 27_gcc4.dpatch
      + 30_alevt.man.dpatch
      + 35_alevt-cap.man.dpatch
      + 45_v4l2.dpatch
      + 99-undo-brain-fuckage.dpatch
  * Switched the package to git-buildpackage/topgit:
    - Build-Depend on quilt instead of dpatch.
    - 25_buildsystem.dpatch is now branch features/destdir
    - 20_alevt-1.6.1.rus.dpatch is now branch features/l10n-russian
    - 40_vbi_name.dpatch is now branch features/vbi-name
  * New patch: features/dvb-demux.
    Adds DVB support.
  * New patch: features/l10-greek.
    This is essentially the interdiff between the between
    contrib/alevt-1.6.1.rus.diff.gz and contrib/alevt-1.6.1.rus+greek.diff.gz.
  * New patch: fixes/cosmetics.
    Fixes a few cosmetic issues in the man pages, help output, 
    and page 901-2.
  * Bumped debhelper compat level and Build-Depends to 7.
  * Bumped Standards-Version to 3.8.3:
    - Upgraded Homepage pseudo-field to Homepage field in source package.

 -- Andreas Rottmann <rotty@debian.org>  Sat, 22 Aug 2009 15:54:12 +0200

alevt (1:1.6.1-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use correct patch to prevent installation failing in postinst - MAKEDEV will
    take care of creating devices in /dev/.static when it detects that udev is
    active. Thanks to Adeodato Simó for the updated patch. (Closes: #502824)

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Nov 2008 21:32:05 +0000

alevt (1:1.6.1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support in postinst for building video4linux devices in /dev/.static as
    well as /dev. (Closes: #502824)

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Oct 2008 23:56:47 +0100

alevt (1:1.6.1-10) unstable; urgency=low

  * Update 40_vbi_name.dpatch to make also alevt-cap and alevt-date try
    the default devices. Patch by Albert Dengg, thanks! (closes: #440522).

 -- Andreas Rottmann <rotty@debian.org>  Wed, 12 Sep 2007 16:15:20 +0200

alevt (1:1.6.1-9) unstable; urgency=low

  * 40_vbi_name.dpatch: Also try /dev/video0 if both /dev/vbi and
    /dev/vbi0 fail (closes: #428298).
  * postinst: Use /dev/MAKEDEV instead of /sbin/MAKEDEV.
  * Depend on 'udev | makedev' instead of 'makedev' (closes: #436997).
  * 45_v4l2.dpatch: New patch intended to fix alevt under Video4Linux
    v2, taken from Gentoo portage (alevt-1.6.1-v4l2.patch,

