=== debian/control ===
Source: alevt
Section: x11
Priority: optional
Maintainer: Göran Weinholt <weinholt@debian.org>
Build-Depends: debhelper (>> 12), libpng-dev, libx11-dev
Standards-Version: 4.3.0
Homepage: https://gitlab.com/alevt/alevt

Package: alevt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 Teletext/Videotext browser 
 AleVT is an X11 program for browsing and searching Teletext/Videotext
 pages received by a compatible decoder (bttv and DVB receivers).
 .
 Features include:
 .
   * Multiple windows
   * Page cache
   * Regular expression searching
   * Built-in manual
 .
 Additional command line utilities can
 .
   * receive the time from Teletext/Videotext
   * capture pages and write them to disk
 .
 Teletext/Videotext is used by TV channels to transmit textual
 information pages (it's transmitted via non-visible scan lines).
