=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v?(\d\S+)\/alevt.*\.tar\.gz/alevt-$1\.tar\.gz/g \
  https://gitlab.com/alevt/alevt/tags?sort=updated_desc .*/archive/v?(\d\S+)/.*\.tar\.gz.*
