## alevt 1.8.2

=== debian/changelog ===
alevt (1:1.8.2-2) unstable; urgency=medium

  * Add missing build-dependency on pkgconf (closes: #1077061).

 -- Gwen Weinholt <weinholt@debian.org>  Fri, 26 Jul 2024 14:42:47 +0200

alevt (1:1.8.2-1) unstable; urgency=medium

  * New upstream release (closes: #1074805).
  * debian: Fix my name.
  * debian/watch: Update for changes GitLab made recently.
  * Use the .desktop file from upstream instead of our own menu file.

 -- Gwen Weinholt <weinholt@debian.org>  Thu, 25 Jul 2024 11:28:37 +0200
