## alevt 1.8.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=1.8.0
+VER=1.8.2
 OPT=-O2 -g -w
 #OPT=-O -g
 DEFS=-DWITH_PNG
@@ -16,26 +16,30 @@
 
 CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I$(USR_X11R6)/include
 
+PKGS="x11"
+
 EXPOBJS=export.o exp-txt.o exp-html.o exp-gfx.o font.o
 OBJS=main.o ui.o xio.o fdset.o vbi.o cache.o help.o edline.o search.o edit.o misc.o hamm.o lang.o $(EXPOBJS)
 TOBJS=alevt-date.o vbi.o fdset.o misc.o hamm.o lang.o
 COBJS=alevt-cap.o vbi.o fdset.o misc.o hamm.o lang.o $(EXPOBJS)
 
 ifneq ($(findstring WITH_PNG,$(DEFS)),)
-EXPLIBS=-lpng
+PKGS+="libpng"
 endif
 ifneq ($(findstring USE_LIBZVBI,$(DEFS)),)
-ZVBILIB=-lzvbi -lpthread
-EXPLIBS+=$(ZVBILIB)
+PKGS+="zvbi-0.2"
 endif
+CFLAGS+=$(shell pkg-config --cflags $(PKGS))
+EXPLIBS=$(shell pkg-config --libs $(PKGS))
+
 
 all: alevt alevt-date alevt-cap alevt.1x alevt-date.1 alevt-cap.1
 
 alevt: $(OBJS)
-	$(CC) $(OPT) $(OBJS) -o alevt -L$(USR_X11R6)/lib -L$(USR_X11R6)/lib64 -lX11 $(EXPLIBS)
+	$(CC) $(OPT) $(OBJS) -o alevt $(EXPLIBS)
 
 alevt-date: $(TOBJS)
-	$(CC) $(OPT) $(TOBJS) -o alevt-date $(ZVBILIB)
+	$(CC) $(OPT) $(TOBJS) -o alevt-date $(EXPLIBS)
 
 alevt-cap: $(COBJS)
 	$(CC) $(OPT) $(COBJS) -o alevt-cap $(EXPLIBS)
@@ -82,7 +86,10 @@
 	install -m 0644 alevt.1x     ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
 	install -m 0644 alevt-date.1 ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
 	install -m 0644 alevt-cap.1  ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
-	install -d 0755 $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
+	install -m 0755 -d $(RPM_BUILD_ROOT)/usr/share/applications
+	install -m 0644 alevt.desktop ${RPM_BUILD_ROOT}/usr/share/applications
+	install -m 0755 -d $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
+	install -m 0644 contrib/icon48x48.xpm $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps/alevt.xpm
 	install -m 0644 contrib/mini-alevt.xpm $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
 
 # anything below this line is just for me!
@@ -96,7 +103,10 @@
 	install -m 0644 alevt.1x	$(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 0644 alevt-date.1	$(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 0644 alevt-cap.1	$(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0755 -d		$(DESTDIR)$(PREFIX)/share/applications
+	install -m 0644 alevt.desktop	$(DESTDIR)$(PREFIX)/share/applications
 	install -m 0755 -d		$(DESTDIR)$(PREFIX)/share/pixmaps
+	install -m 0644 contrib/icon48x48.xpm $(DESTDIR)$(PREFIX)/share/pixmaps/alevt.xpm
 	install -m 0644 contrib/mini-alevt.xpm $(DESTDIR)$(PREFIX)/share/pixmaps
 
 depend:
