=== debian/changelog ===
alevt (1:1.8.3-1) unstable; urgency=medium

  * New upstream release. Fixes a build error with GCC 15.
    Thanks to Matthias Klose for the report (closes: #1096296).
  * debian/patches/do_not_hardcode_cflags: Do not override default
    build flags (closes: #1099427).
  * debian/watch: Rewrite using version 5 of the format, fixing yet
    another breakage caused by GitLab changes.

 -- Gwen Weinholt <weinholt@debian.org>  Thu, 11 Sep 2025 19:44:40 +0200
