=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: alevt
 Section: x11
 Priority: optional
-Maintainer: Göran Weinholt <weinholt@debian.org>
-Build-Depends: debhelper (>> 12), libpng-dev, libx11-dev
+Maintainer: Gwen Weinholt <weinholt@debian.org>
+Build-Depends: debhelper (>> 12),
+  libpng-dev,
+  libx11-dev,
+  pkgconf
 Standards-Version: 4.3.0
 Homepage: https://gitlab.com/alevt/alevt
 
 Package: alevt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: X11 Teletext/Videotext browser 
+Description: X11 Teletext/Videotext browser
  AleVT is an X11 program for browsing and searching Teletext/Videotext
  pages received by a compatible decoder (bttv and DVB receivers).
  .
@@ -27,4 +30,3 @@
  .
  Teletext/Videotext is used by TV channels to transmit textual
  information pages (it's transmitted via non-visible scan lines).
-
