=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr DESTDIR=$(shell pwd)/debian/tmp
