=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.com/alevt/alevt
Release-Only: yes
Uversion-Mangle: s/^v//i
Oversion-Mangle: s/^v//i
Filename-Mangle: s%.*/archive\.tar\.gz\?sha=v?(@ANY_VERSION@)%@PACKAGE@-$1.tar.gz%
